package chats

import (
	"clickandjoin.app/managementsystem/modules/scylladb"
	"clickandjoin.app/managementsystem/modules/structs"
	"github.com/gofiber/fiber/v2"
	"github.com/sirupsen/logrus"
)

func GetAllChats(c *fiber.Ctx) error {
	// swagger:operation GET /chats chats chatsGetAllChats
	// ---
	// summary: List of chats
	// consumes:
	// - application/json
	// produces:
	// - application/json
	// responses:
	//  '200':
	//    schema:
	//      "$ref": "#/definitions/ChatsResponse"
	//  '500':
	//    description: Internal server error

	var chats []structs.Chat

	q := scylladb.Session.Query(scylladb.Chats.SelectAll())

	if err := q.SelectRelease(&chats); err != nil {
		logrus.Errorln("Failed to get chats, err:", err)
	}

	return c.JSON(structs.ChatsResponse{Chats: chats})
}
