package wssessions

import (
	"clickandjoin.app/managementsystem/modules/scylladb"
	"clickandjoin.app/managementsystem/modules/structs"
	"github.com/gofiber/fiber/v2"
	"github.com/sirupsen/logrus"
)

func GetAllWsSessions(c *fiber.Ctx) error {
	// swagger:operation GET /wssessions wssessions wssessionsGetAllWsSessions
	// ---
	// summary: List of websocket sessions
	// consumes:
	// - application/json
	// produces:
	// - application/json
	// responses:
	//  '200':
	//    description: List of websocket sessions
	//    schema:
	//      "$ref": "#/definitions/UserWebSocketSessionsResponse"
	//  '500':
	//    description: Internal server error

	var wsSessions []structs.UserWebSocketSession

	q := scylladb.Session.Query(scylladb.WebSocketSessions.SelectAll())

	if err := q.SelectRelease(&wsSessions); err != nil {
		logrus.Errorln("Failed to get ws sessions, err:", err)
	}

	return c.JSON(structs.WebSocketSessionsResponse{WsSessions: wsSessions})
}
